> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a WebRTC offer

> Create a WebRTC offer for a call.



## OpenAPI

````yaml https://api-west.millis.ai/openapi.json post /webrtc/offer
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /webrtc/offer:
    post:
      tags:
        - Connectivity
      summary: Create a WebRTC offer
      description: Create a WebRTC offer for a call.
      operationId: offer_webrtc_offer_post
      parameters:
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            description: Private Key
            title: Authorization
          description: Private Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MillisWebRTCOfferRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MillisWebRTCOfferResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MillisWebRTCOfferRequest:
      properties:
        offer:
          $ref: '#/components/schemas/WebRTCOffer'
        agent_id:
          type: string
          title: Agent Id
      type: object
      required:
        - offer
        - agent_id
      title: MillisWebRTCOfferRequest
    MillisWebRTCOfferResponse:
      properties:
        answer:
          $ref: '#/components/schemas/WebRTCAnswer'
      type: object
      required:
        - answer
      title: MillisWebRTCOfferResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebRTCOffer:
      properties:
        sdp:
          type: string
          title: Sdp
        type:
          type: string
          title: Type
      type: object
      required:
        - sdp
        - type
      title: WebRTCOffer
    WebRTCAnswer:
      properties:
        sdp:
          type: string
          title: Sdp
        type:
          type: string
          title: Type
      type: object
      required:
        - sdp
        - type
      title: WebRTCAnswer
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````